/** 
* 留言action类
* 
* @author  周郎(zhoulang),web@zhoulang.net
* @link http://www.zhoulang.net
* @version syuebook v1.0
* @Copyright 2009 syue.com, Inc. All rights reserved.
* @since   JDK1.6
*/  

package net.zhoulang.idal;

import java.util.List;
import net.zhoulang.entity.BookEntity;

/**
 *留言接口类
 * @author zhoulang
 */
public interface IBook {
    /**
     * 添加留言信息
     * @param entity
     * @return Integer
     */
    int bookAdd(BookEntity entity);
    /**
     * 修改留言
     * @param entity
     */
    void bookUpdate(BookEntity entity);
    /**
     * 删除留言
     * @param id
     */
    void bookDel(final int id);
    /**
     * 获取留言总数
     * @return Integer
     */
    int getBookCount();
    /**
     * 获取留言总数
     * @return Integer
     */
    List<BookEntity> getBookList(int page, final int size);
}
